<!--
Copyright 2004 ThoughtWorks, Inc

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->
<html>
<head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
<title>Test Suite</title>
<script language="JavaScript" type="text/javascript" src="../core/scripts/selenium-browserdetect.js"></script>
<script language="JavaScript" type="text/javascript">
    function filterTestsForBrowser() {
        var suiteTable = document.getElementById("suiteTable");
        var skippedTests = document.getElementById("skippedTests");

        for(rowNum = suiteTable.rows.length - 1; rowNum >= 0; rowNum--)
        {
            var row = suiteTable.rows[rowNum];
            var filterString = row.getAttribute("unless");
            if (filterString && eval(filterString))
            {
              var cellHTML = row.cells[0].innerHTML;
              suiteTable.deleteRow(rowNum);

              var newRow = skippedTests.insertRow(1);
              var newCell = newRow.insertCell(0)
              newCell.innerHTML = cellHTML;
            }
        }
    }
</script>
</head>

<body onload="filterTestsForBrowser()">

    <table id="suiteTable"    cellpadding="1"
           cellspacing="1"
           border="1">
        <tbody>
		<tr><td><b>Test Suite</b></td></tr>
		<tr><td><a href="mod_security_enabled.html">Check if mod_security is enabled</a></td></tr>
		<tr><td><a href="tip_vi.html">Send a tip from the ad</a></td></tr>
		<tr><td><a href="newcat_indexed_adparam.html">An ad in a new category should be correctly indexed</a></td></tr>
		<tr><td><a href="list_quotes_in_query.html">Check links so they work with quotes</a></td></tr>
		<tr><td><a href="list_abroad_ads_search.html">Search for abdroad ads</a></td></tr>
		<tr><td><a href="li_tenant_ownership_infopage.html">Check if tenant_ownership ad has infopage</a></td></tr>
		<tr><td><a href="vi_backlink.html">vi backlink</a></td></tr>
		<tr><td><a href="list_mc_not_4w.html">List exclude 4w from mc</a></td></tr>
		<tr><td><a href="li_linkshelf_animal.html">Verify positions in animal linkshelf</a></td></tr>
		<tr><td><a href="linkshelf_level_1_categories.html">Linkshelf level 1 categories</a></td></tr>
		<tr><td><a href="default_ca.html">Default ca</a></td></tr>
        </tbody>
    </table>
</body>
</html>
